<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

</head>
<body>
    <h1>Métodos para manipular nodos del DOM con jQuery.</h1>
        <ul>
            <li>Pirmer item</li>
            <li>Segundo item</li>
            <li>Tercer item</li>
            <li>Cuarto item</li>
        </ul>

    <div>
        <input type="button" id="eliminaTo" value="Eliminar la lista completa"><br>
        <input type="button" id="restaura" value="Restaurar Lista"><br>
        <input type="button" id="ponFinal" value="Añadir un elemento al final de la lista"><br>
        <input type="button" id="ponPrin" value="Añadir un elemento al principio de la lista"><br>
        <input type="button" id="eliminaUlti" value="Eliminar el último elemento"><br>
        <input type="button" id="eliminaPri" value="Eliminar el primer elemento"><br>
        <input type="button" id="elimina12" value="Eliminar el primer y segundo elemento"><br>
        <input type="button" id="elimina2ul" value="Eliminar los dos útimos">
    </div>


    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#eliminaTo").click(function(){
                $("li").empty();
            })

            $("#restaura").click(function(){
                $("ul").html("<li>Pirmer item</li>"+
                    "<li>Segundo item</li>"+
                    "<li>Tercer item</li>"+
                    "<li>Cuarto item</li>");
            })

            $("#ponFinal").click(function(){
                $("ul").append("<li>Otro muelle lo tiro por el retrete...</li>");
            })

            $("#ponPrin").click(function(){
                $("ul").prepend("<li>Prepended item</li>");
            })

            $("#eliminaUlti").click(function(){
                $("li:eq(3)").empty();
            })

            $("#eliminaPri").click(function(){
                $("li:eq(0)").empty();
            })

            $("#elimina2ul").click(function(){
                $("li").slice(2,4).remove();
            })

            $("#elimina12").click(function(){
                $("li").slice(0,2).remove();
            })
        });
    </script>
    
</body>
</html>